** Changed in: golang-petname (Ubuntu)
       Status: In Progress => Fix Committed

** Also affects: golang-petname (Ubuntu Yakkety)
   Importance: Critical
     Assignee: Dustin Kirkland  (kirkland)
       Status: Fix Committed

** Also affects: golang-petname (Ubuntu Xenial)
   Importance: Undecided
       Status: New

** Changed in: golang-petname (Ubuntu Xenial)
       Status: New => In Progress

** Changed in: golang-petname (Ubuntu Xenial)
   Importance: Undecided => Critical

** Changed in: golang-petname (Ubuntu Xenial)
     Assignee: (unassigned) => Dustin Kirkland  (kirkland)

** Summary changed:

- golang-petname-dev can't be installed anymore on Ubuntu 16.04
+ [SRU] golang-petname-dev can't be installed anymore on Ubuntu 16.04

** Description changed:

  This is because golang-petname-dev depends on a non-existing binary
  package. Xenial doesn't have Go shared libraries setup.
- 
  
  root@ubuntu:~# apt-get install golang-petname-dev
  Reading package lists... Done
  Building dependency tree
  Reading state information... Done
  Some packages could not be installed. This may mean that you have
  requested an impossible situation or if you are using the unstable
  distribution that some required packages have not yet been created
  or been moved out of Incoming.
  The following information may help to resolve the situation:
  
  The following packages have unmet dependencies:
-  golang-petname-dev : Depends: libgolang-petname1 (= 2.3-0ubuntu1~16.04) but 
it is not installable
+  golang-petname-dev : Depends: libgolang-petname1 (= 2.3-0ubuntu1~16.04) but 
it is not installable
  E: Unable to correct problems, you have held broken packages.
+ 
+ ==== SRU ====
+ 
+ [IMPACT]
+ This bug affects anyone with a build dependency in Xenial on 
golang-petname-dev.  As far as I'm aware, that's just the lxd package.
+ 
+ [TEST CASE]
+ Simply 'sudo apt install golang-petname-dev'.  Without this fix, it will fail 
to install, as reported above.  With the fix, it will successfully install.  
You might also want to list the contents of the package with 'dpkg -L 
golang-petname-dev' and ensure that the file 
/usr/share/gocode/src/github.com/dustinkirkland/golang-petname/petname.go is 
installed, which is what is necessary for a xenial build.
+ 
+ 
+ [REGRESSION]
+ There should be no regression, as the package is currently not even 
installable.

** Tags added: verification-needed

-- 
You received this bug notification because you are a member of Ubuntu
Server Team, which is subscribed to golang-petname in Ubuntu.
https://bugs.launchpad.net/bugs/1625753

Title:
  [SRU] golang-petname-dev can't be installed anymore on Ubuntu 16.04

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/golang-petname/+bug/1625753/+subscriptions

-- 
Ubuntu-server-bugs mailing list
Ubuntu-server-bugs@lists.ubuntu.com
Modify settings or unsubscribe at: 
https://lists.ubuntu.com/mailman/listinfo/ubuntu-server-bugs

Reply via email to